## update-manager 20.04.10.7

=== debian/changelog ===
update-manager (1:20.04.10.7) focal; urgency=medium

  * tests/test_update_list.py: rewrite how APT::VersionedKernelPackages is set.
    (LP: #1924809)
  * debian/tests/control: add apt to the list of Depends.

 -- Brian Murray <brian@ubuntu.com>  Fri, 16 Apr 2021 16:25:21 -0700

update-manager (1:20.04.10.6) focal; urgency=medium

  * UpdateManager/Core/UpdateList.py: change to a regex from a static list
    of packages to be grouped under Ubuntu Base (LP: #1902025)
  * Clean up apt cache binary files left behind by tests
  * Rename meta_pkgs to ubuntu_base_pkgs to make it more clear to the
    reader which packages should be included
  * Add tests in to ensure Ubuntu base packages are not grouped when
    staged for removal (LP: #1912718)

 -- William 'jawn-smith' Wilson <william.wilson@canonical.com>  Wed, 10 Feb 2021 14:39:27 -0600

update-manager (1:20.04.10.5) focal; urgency=medium

  * UpdateManager/backend/__init__.py: Really make commit_oem a no-op in the
    base class to avoid crash when people force synaptic backend (LP: #1913732)
  * Fix typo in previous changelog

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 29 Jan 2021 17:43:01 +0100

update-manager (1:20.04.10.4) focal; urgency=medium

  * Revert previous change to UpdateList.py, as it breaks kernel
    autoremoval (LP: #1912718)
  * UpdateManager/backend/__init__.py: Make commit_oem a no-op in the base
    class to avoid crash when people force synaptic backend (LP: #1913732)

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 29 Jan 2021 12:50:23 +0100

update-manager (1:20.04.10.3) focal; urgency=medium

  [ Julian Andres Klode ]
  * UpdateManager/backend/__init__.py: Fix unbound local variables regression
    introduced by the previous SRU (See LP 1910556), and correct comment

  [ William Wilson ]
  * UpdateManager/Core/UpdateList.py: change to a regex from a static list
    of packages to be grouped under Ubuntu Base (LP: #1902025)

 -- Brian Murray <brian@ubuntu.com>  Wed, 13 Jan 2021 08:35:58 -0800

update-manager (1:20.04.10.2) focal; urgency=medium

  [ Iain Lane & Julian Andres Klode ]
  * Support post install enablement of OEM-enabled devices (LP: #1908050)

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 14 Dec 2020 12:24:18 +0100

update-manager (1:20.04.10.1) focal; urgency=medium

  * UpdateManager/UpdateManager.py: when refreshing the cache and encountering
    an error return rather than trying to use the undefined cache which causes
    crashes. Additionally, don't present the dialog with a "Try Again" button
    which won't do anything. (LP: #1826213)
  * Fix hang in apturl-gtk. (LP: #1874591)
  * Fix crash in snap updates when refreshing the cache fails. (LP: #1880987)

 -- Brian Murray <brian@ubuntu.com>  Wed, 03 Jun 2020 10:18:00 -0700

update-manager (1:20.04.10) focal; urgency=medium

  * Fix intermittent hang during snap updates (LP: #1874469).

 -- Marcus Tomlinson <marcus.tomlinson@canonical.com>  Thu, 23 Apr 2020 16:14:21 +0100

## update-manager 20.04.10.9

=== debian/changelog ===
update-manager (1:20.04.10.9) focal; urgency=medium

  * ubuntu-security-status: use ubuntu-advantage-tools to determine whether or
    not livepatch or esm are enabled and if the system is attached. Thanks to
    Chad Smith for the patch. (LP: #1938043)

 -- Brian Murray <brian@ubuntu.com>  Fri, 03 Sep 2021 15:17:22 -0700

update-manager (1:20.04.10.8) focal; urgency=medium

  * tests/test_meta_release_core.py: switch a test from using lucid to bionic
    as precise was removed from the archive. (LP: #1929865)

 -- Brian Murray <brian@ubuntu.com>  Thu, 27 May 2021 13:36:54 -0700

## update-manager 20.04.10.9+10.0trisquel10

=== debian/changelog ===
update-manager (1:20.04.10.9+10.0trisquel10) nabia; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 30 Sep 2021 12:19:35 +0000

=== debian/control ===
Source: update-manager
Section: gnome
Priority: optional
Maintainer: Trisquel Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               python3-all (>= 3.3.0-2),
               python3-distutils-extra (>= 2.38),
               python3-dbus,
               python3-distupgrade,
               python3-distro-info,
               python3-gi (>= 3.8),
               python3-yaml,
               gir1.2-gtk-3.0,
               gir1.2-snapd-1,
               lsb-release,
               apt-clone (>= 0.2.3~ubuntu1)
Build-Depends-Indep: libxml-parser-perl, 
                     intltool
Standards-Version: 3.8.0
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/update-manager/main
XS-Testsuite: autopkgtest
X-Python3-Version: >= 3.2

Package: update-manager-core
Architecture: all
Section: admin
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-update-manager (= ${source:Version}),
         python3-distro-info,
         distro-info-data,
         lsb-release,
         ubuntu-release-upgrader-core (>= 1:18.04.9),
         ubuntu-advantage-tools
Recommends: libpam-modules (>= 1.0.1-9ubuntu3)
Replaces: update-manager (<< 1:0.146.2)
Breaks: update-manager (<< 1:0.146.2),
        computer-janitor (<= 1.11-0ubuntu1)
Description: manage release upgrades
 This is the core of update-manager and the release upgrader

Package: python3-update-manager
Architecture: all
Section: python
Replaces: update-manager-core (<< 1:0.163)
Breaks: update-manager-core (<< 1:0.163),
        python3-distupgrade (<< 1:16.10.10)
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-apt (>= 0.8.5~),
         python3-distro-info,
         python3-distupgrade,
         lsb-release,
Suggests: python3-launchpadlib,
Description: python 3.x module for update-manager
 Python module for update-manager (UpdateManager).
 .
 This package contains the python 3.x version of this module.

Package: update-manager
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends},
         update-manager-core (= ${source:Version}),
         libgtk3-perl,
         python3-aptdaemon.gtk3widgets (>= 1.1.1+bzr982-0ubuntu13) | synaptic,
         policykit-1,
         python3-dbus,
         python3-gi (>= 3.8),
         python3-yaml,
         gir1.2-gtk-3.0,
         gir1.2-snapd-1,
         ubuntu-release-upgrader-gtk,
         update-notifier,
         gnome-shell | policykit-1-gnome | polkit-kde-agent-1 | lxpolkit | lxqt-policykit | mate-polkit | polkit-1-auth-agent
Breaks: update-notifier (<< 3.177)
Recommends: software-properties-gtk (>= 0.71.2),
            python3-launchpadlib
Suggests: gir1.2-dbusmenu-glib-0.4,
          gir1.2-unity-5.0,
Description: GNOME application that manages apt updates
 This is the GNOME apt update manager. It checks for updates and lets the user
 choose which to install.

#Package: update-manager-kde
#Architecture: all
#Section: kde
#Depends: ${python3:Depends}, 
#         ${misc:Depends}, 
#         update-manager-core, 
#         python3-pykde4, 
#         kdesudo,
#         psmisc,
#         ubuntu-release-upgrader-qt
#Recommends: python3-launchpadlib
#Description: Support modules for Muon Notifier and Apper
# Support modules for Muon Notifier and Apper to check for new distro releases 
# and download the dist-upgrade tool.

## update-manager 20.04.10.9+10.0trisquel12

=== debian/changelog ===
update-manager (1:20.04.10.9+10.0trisquel12) nabia; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 08 Nov 2021 07:54:36 +0000

## update-manager 20.04.10.10

=== debian/changelog ===
update-manager (1:20.04.10.10) focal; urgency=medium

  * ubuntu-security-status: Check if ESM for Apps is enabled or if it is not
    in beta before displaying information about the packages available from
    there. Additionally, improve pluralization in a couple of locations.
    (LP: #1955471)

 -- Brian Murray <brian@ubuntu.com>  Fri, 14 Jan 2022 10:28:42 -0800

## update-manager 20.04.10.10%2B10.0trisquel15

=== debian/changelog ===
update-manager (1:20.04.10.10+10.0trisquel15) nabia; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 07 Feb 2022 03:18:15 +0000

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,6 @@
          distro-info-data,
          lsb-release,
          ubuntu-release-upgrader-core (>= 1:18.04.9),
-         ubuntu-advantage-tools
 Recommends: libpam-modules (>= 1.0.1-9ubuntu3)
 Replaces: update-manager (<< 1:0.146.2)
 Breaks: update-manager (<< 1:0.146.2),

## update-manager 20.04.10.11

=== debian/changelog ===
update-manager (1:20.04.10.11) focal; urgency=medium

  [ Renan Rodrigo ]
  * ubuntu-security-status: Don't show ESM Apps information when the service
    is disabled, and prefer 'pro security-status' when it is available.
    (LP: #1991533)

 -- Brian Murray <brian@ubuntu.com>  Thu, 01 Dec 2022 11:10:57 -0800

## update-manager 20.04.10.14

=== debian/changelog ===
update-manager (1:20.04.10.14) focal; urgency=medium

  * Fix Ubuntu Pro updates checkbox and expander widget from overlapping
    (LP: #1990450)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 03 Feb 2023 14:43:45 +1300

update-manager (1:20.04.10.13) focal; urgency=medium

  * Update of the parsing for pro client changes (lp: #1990450)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 26 Jan 2023 11:56:31 +0100

update-manager (1:20.04.10.12) focal; urgency=medium

  * Show pending Ubuntu pro packages (LP: #1990450)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 18 Jan 2023 15:03:27 +1300

## update-manager 20.04.10.18

=== debian/changelog ===
update-manager (1:20.04.10.18) focal; urgency=medium

  * Fix incorrect available version for Ubuntu Pro updates in unattached case
    (LP: #2043425).

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Wed, 15 Nov 2023 11:28:54 +0100

update-manager (1:20.04.10.17) focal; urgency=medium

  * Ubuntu Pro (LP: #1990450):
    - fix another linter error which was created while fixing a missing
      space in the previous upload...

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 06 Oct 2023 11:56:51 +0200

update-manager (1:20.04.10.16) focal; urgency=medium

  * Ubuntu Pro (LP: #1990450):
    - Address linter errors that cause autopkgtest to fail.

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Wed, 04 Oct 2023 23:46:23 +0200

update-manager (1:20.04.10.15) focal; urgency=medium

  * Ubuntu Pro (LP: #1990450):
    - Show Ubuntu Pro packages, whether the system is attached to Ubuntu Pro
      or not.
    - Replace Install now button by Enable Ubuntu Pro button when only Ubuntu
      Pro packages are available and the machine is not attached.
    - Fix checkbox and expander widget from overlapping.
    - Add News pane in a expander.
    - Replace notebook with Description and Changes tabs by a pane.

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Tue, 29 Aug 2023 07:47:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: update-manager
 Section: gnome
 Priority: optional
-Maintainer: Trisquel Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends: debhelper (>= 9),
                dh-python,
                python3-all (>= 3.3.0-2),
@@ -32,6 +32,7 @@
          distro-info-data,
          lsb-release,
          ubuntu-release-upgrader-core (>= 1:18.04.9),
+         ubuntu-advantage-tools
 Recommends: libpam-modules (>= 1.0.1-9ubuntu3)
 Replaces: update-manager (<< 1:0.146.2)
 Breaks: update-manager (<< 1:0.146.2),

## update-manager 20.04.10.19

=== debian/changelog ===
update-manager (1:20.04.10.19) focal; urgency=medium

  * Add back removed widgets to UI file to fix crash when updating
    Upgrade Manager from inside itself (LP: #2045918).

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Fri, 08 Dec 2023 15:37:42 +0100

## update-manager 20.04.10.20+10.0trisquel19

=== debian/changelog ===
update-manager (1:20.04.10.20+10.0trisquel19) nabia; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 15 Mar 2024 00:39:42 +0000

update-manager (1:20.04.10.20) focal; urgency=medium

  * d/control: Depend on ubuntu-advantage-tools >= 30~.
    Fixes edge case whereby the program crashes upon an incomplete
    response from ua security-status (LP: #2049785).
  * The New Release dialog should take precedence over a list of updates dialog
    if the latter would only show Ubuntu Pro updates in an unattached system.
    (LP: #2051115).

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Mon, 22 Jan 2024 21:32:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: update-manager
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Build-Depends: debhelper (>= 9),
                dh-python,
                python3-all (>= 3.3.0-2),
@@ -32,7 +32,6 @@
          distro-info-data,
          lsb-release,
          ubuntu-release-upgrader-core (>= 1:18.04.9),
-         ubuntu-advantage-tools
 Recommends: libpam-modules (>= 1.0.1-9ubuntu3)
 Replaces: update-manager (<< 1:0.146.2)
 Breaks: update-manager (<< 1:0.146.2),

## update-manager 20.04.10.21

=== debian/changelog ===
update-manager (1:20.04.10.21) focal; urgency=medium

  * Replace Popen to 'ua security-status --format=json' by the Ubuntu Pro API.
    The former is not stable enough and would break the program once in a
    while when something unrelated to Update Manager (Livepatch, for instance)
    went awry. The updates() end point from the API, on the other hand,
    does not raise exceptions. LP: #2058133.

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Fri, 22 Mar 2024 08:38:43 +0100

## update-manager 20.04.10.22

=== debian/changelog ===
update-manager (1:20.04.10.22) focal; urgency=medium

  * Don't crash if the end-points of the Pro API fail (LP: #2064211).

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Wed, 26 Jun 2024 11:06:33 +0200

## update-manager 20.04.10.23

=== debian/changelog ===
update-manager (1:20.04.10.23) focal; urgency=medium

  * Print warning message on failing to run updates end-point (LP: #2064211).

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Wed, 11 Sep 2024 13:41:08 +0200

## update-manager 20.04.10.24

=== po/Makefile ===

top_srcdir=`pwd`/..

DOMAIN=update-manager
PO_FILES := $(wildcard *.po)
CONTACT=sebastian.heinlein@web.de
XGETTEXT_ARGS = --msgid-bugs-address=$(CONTACT)
XGETTEXT_ARGS += --keyword=unicode_gettext:2 --keyword=unicode_ngettext:2,3
XGETTEXT_ARGS += --language=python

all: update-po

# update the pot
$(DOMAIN).pot:
	XGETTEXT_ARGS="$(XGETTEXT_ARGS)" intltool-update -p -g $(DOMAIN)

# merge the new stuff into the po files
merge-po: $(PO_FILES)
	XGETTEXT_ARGS="$(XGETTEXT_ARGS)" intltool-update -r -g $(DOMAIN); 

# create mo from the pos
%.mo : %.po
	mkdir -p mo/$(subst .po,,$<)/LC_MESSAGES/ 
	msgfmt $< -o mo/$(subst .po,,$<)/LC_MESSAGES/$(DOMAIN).mo 

# dummy target 
update-po: $(DOMAIN).pot merge-po $(patsubst %.po,%.mo,$(wildcard *.po))

=== debian/changelog ===
update-manager (1:20.04.10.24) focal; urgency=medium

  * When all packages are unselected, install button goes away; Fix it not
    coming back after once a package is selected again (LP: #2068805).
  * Switch to Debian source 3.0 (native)

 -- Nathan Pratta Teodosio <nteodosio@ubuntu.com>  Thu, 09 Jan 2025 15:14:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: update-manager
 Section: gnome
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends: debhelper (>= 9),
                dh-python,
                python3-all (>= 3.3.0-2),
@@ -32,6 +32,7 @@
          distro-info-data,
          lsb-release,
          ubuntu-release-upgrader-core (>= 1:18.04.9),
+         ubuntu-advantage-tools (>= 30~)
 Recommends: libpam-modules (>= 1.0.1-9ubuntu3)
 Replaces: update-manager (<< 1:0.146.2)
 Breaks: update-manager (<< 1:0.146.2),

## update-manager 20.10.1

=== debian/changelog ===
update-manager (1:20.10.1) groovy; urgency=medium

  * In the apport hook don't assume the bug is being reported about the
    update-manager package which may not be installed. (LP: #1878500)
  * Resolve pycodestyle E741 issues.

 -- Brian Murray <brian@ubuntu.com>  Thu, 23 Jul 2020 12:50:16 -0700

update-manager (1:20.04.12) groovy; urgency=medium

  * Fix hang in apturl-gtk. (LP: #1874591)
  * Fix crash in snap updates when refreshing the cache fails. (LP: #1880987)

 -- Marcus Tomlinson <marcus.tomlinson@canonical.com>  Thu, 28 May 2020 10:11:51 +0100

update-manager (1:20.04.11) groovy; urgency=medium

  * UpdateManager/UpdateManager.py: when refreshing the cache and encountering
    an error return rather than trying to use the undefined cache which causes
    crashes. Additionally, don't present the dialog with a "Try Again" button
    which won't do anything. (LP: #1826213)

 -- Brian Murray <brian@ubuntu.com>  Wed, 27 May 2020 13:29:24 -0700

## update-manager 20.10.6

=== debian/changelog ===
update-manager (1:20.10.6) groovy; urgency=medium

  * tests/test_update_list.py: rewrite how APT::VersionedKernelPackages is set.
    (LP: #1924809)
  * debian/tests/control: add apt to the list of Depends.

 -- Brian Murray <brian@ubuntu.com>  Fri, 16 Apr 2021 16:21:15 -0700

update-manager (1:20.10.5) groovy; urgency=medium

  * UpdateManager/Core/UpdateList.py: change to a regex from a static list
    of packages to be grouped under Ubuntu Base (LP: #1902025)
  * Clean up apt cache binary files left behind by tests
  * Rename meta_pkgs to ubuntu_base_pkgs to make it more clear to the
    reader which packages should be included
  * Add tests in to ensure Ubuntu base packages are not grouped when
    staged for removal (LP: #1912718)
  * Fix crash caused by adding apt package objects to a list of
    strings (LP: #1913476)

 -- William 'jawn-smith' Wilson <william.wilson@canonical.com>  Wed, 10 Feb 2021 14:22:58 -0600

update-manager (1:20.10.4) groovy; urgency=medium

  * Revert to 1:20.10.1 (LP: #1912718)

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 29 Jan 2021 12:53:08 +0100

update-manager (1:20.10.3) groovy; urgency=medium

  * Fix crash caused by adding apt package objects to a list of
    strings (LP: #1913476)

 -- William 'jawn-smith' Wilson <william.wilson@canonical.com>  Wed, 27 Jan 2021 14:14:43 -0600

update-manager (1:20.10.2) groovy; urgency=medium

  * UpdateManager/Core/UpdateList.py: change to a regex from a static list
    of packages to be grouped under Ubuntu Base (LP: #1902025)

 -- William Wilson <william.wilson@canonical.com>  Wed, 13 Jan 2021 08:35:34 -0600

## update-manager 21.04.8

=== debian/changelog ===
update-manager (1:21.04.8) hirsute; urgency=medium

  [ Brian Murray ]
  * Clean up apt cache binary files created by the unit tests thanks to
    William Wilson for the patch.

  [ William Wilson ]
  * Changing to a regex from a static list of packages to be included under
    "Ubuntu Base". This regex expands the list of packages under "Ubuntu Base"
    to include all kernel packages as well as binary packages built by
    linux-meta source packages (LP: #1902025)

 -- Brian Murray <brian@ubuntu.com>  Thu, 04 Feb 2021 10:42:55 -0800

update-manager (1:21.04.7) hirsute; urgency=medium

  * Actually fix the synaptic backend to the extend it at least installs
    updates again. The oem packages are still listed, but won't be installed -
    use the aptdaemon backend instead.
  * Fix a comment in UpdateManager/backend/__init__.py

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 29 Jan 2021 17:49:57 +0100

update-manager (1:21.04.6) hirsute; urgency=medium

  * Avoid crash from OEM enablement when using synaptic backend
  * Revert 21.04.5, 21.04.4, and 21.04.3 changes, except the livepatch
    dialog stuff. (LP: #1912718)

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 29 Jan 2021 12:41:16 +0100

update-manager (1:21.04.5) hirsute; urgency=medium

  * Fix crash caused by adding apt package objects to a list of
    strings (LP: #1913476)

 -- William 'jawn-smith' Wilson <william.wilson@canonical.com>  Wed, 27 Jan 2021 13:25:29 -0600

update-manager (1:21.04.4) hirsute; urgency=medium

  * Clean up apt cache binary files created by the unit tests.

 -- William Wilson <william.wilson@canonical.com>  Wed, 13 Jan 2021 16:59:39 -0600

update-manager (1:21.04.3) hirsute; urgency=medium

  [ Brian Murray ]
  * UpdateManager/Dialogs.py: do not mention livepatch settings when the
    interface is not installed, thanks to Sebastien Bacher for the patch.
    (LP: #1807900)
  * UpdateManager/backend/__init__.py: Resolve unbound local error crash with
    oem package lists. Thanks to Thomas Bechtold for the patch.

  [ William Wilson ]
  * UpdateManager/Core/UpdateList.py: change to a regex from a static list
    of packages to be grouped under Ubuntu Base (LP: #1902025)

 -- Brian Murray <brian@ubuntu.com>  Fri, 08 Jan 2021 08:41:47 -0800

update-manager (1:21.04.2) hirsute; urgency=medium

  * Make pycodestyle happy
  * Make pyflakes happy, fixes a bug too

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 14 Dec 2020 12:13:51 +0100

update-manager (1:21.04.1) hirsute; urgency=medium

  [ Brian Murray ]
  * UpdateManager/UpdatesAvailable.py: In the technical description portion of
    the Software Update window display the package name in the Description
    tab. Thanks to Jarkko Toivonen for the patch.

  [ Iain Lane & Julian Andres Klode ]
  * Support post install enablement of OEM-enabled devices (LP: #1908050)

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 14 Dec 2020 11:32:03 +0100

## update-manager 21.04.10

=== debian/changelog ===
update-manager (1:21.04.10) hirsute; urgency=medium

  * tests/test_update_list.py: rewrite how APT::VersionedKernelPackages is set.
    (LP: #1924809)

 -- Brian Murray <brian@ubuntu.com>  Fri, 16 Apr 2021 15:32:48 -0700

update-manager (1:21.04.9) hirsute; urgency=medium

  * debian/tests/control: add apt to the list of Depends.

 -- Brian Murray <brian@ubuntu.com>  Fri, 16 Apr 2021 14:21:38 -0700

## update-manager 21.04.11

=== debian/changelog ===
update-manager (1:21.04.11) hirsute; urgency=medium

  * tests/test_meta_release_core.py: switch a test from using lucid to bionic
    as precise was removed from the archive. (LP: #1929865)

 -- Brian Murray <brian@ubuntu.com>  Thu, 27 May 2021 13:04:43 -0700

## update-manager 21.10.4

=== debian/changelog ===
update-manager (1:21.10.4) impish; urgency=medium

  * ubuntu-security-status: use ubuntu-advantage-tools to determine whether or
    not livepatch or esm are enabled and if the system is attached. Thanks to
    Chad Smith for the patch. (LP: #1938043)

 -- Brian Murray <brian@ubuntu.com>  Fri, 03 Sep 2021 14:43:22 -0700

update-manager (1:21.10.3) impish; urgency=medium

  * Use gi.require_version('Gtk', '3.0') to ensure we load the right version.

 -- Brian Murray <brian@ubuntu.com>  Thu, 15 Jul 2021 09:16:06 -0700

update-manager (1:21.10.2) impish; urgency=medium

  * debian/changelog: Fix the date in an old changelog entry. (LP: #1927850)
  * tests/test_meta_release_core.py: use distro_info to determine a supported
    release to test instead of Lucid which was hardcoded.

 -- Brian Murray <brian@ubuntu.com>  Thu, 27 May 2021 10:36:57 -0700

update-manager (1:21.10.1) impish; urgency=medium

  * UpdateManager/Core/MetaRelease.py: use -proposed in the variable which
    corresponds to it.
  * debian/control: drop the build-dep on apt-clone which was missed during
    the separtion of u-r-u and update-manager.

 -- Brian Murray <brian@ubuntu.com>  Wed, 28 Apr 2021 12:37:49 -0700

## update-manager 21.10.5

=== debian/changelog ===
update-manager (1:21.10.5) impish; urgency=medium

  * UpdateManager/backend/__init__.py: When checking for snap seeds also
    take into consideration whether or not the metapackage associated with the
    snap is installed. (LP: #1947501)

 -- Brian Murray <brian@ubuntu.com>  Mon, 18 Oct 2021 12:26:38 -0700

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,8 @@
                python3-yaml,
                gir1.2-gtk-3.0,
                gir1.2-snapd-1,
-               lsb-release,
-               apt-clone (>= 0.2.3~ubuntu1)
-Build-Depends-Indep: libxml-parser-perl, 
+               lsb-release
+Build-Depends-Indep: libxml-parser-perl,
                      intltool
 Standards-Version: 3.8.0
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/update-manager/main
@@ -32,7 +31,7 @@
          distro-info-data,
          lsb-release,
          ubuntu-release-upgrader-core (>= 1:18.04.9),
-         ubuntu-advantage-tools (>= 30~)
+         ubuntu-advantage-tools
 Recommends: libpam-modules (>= 1.0.1-9ubuntu3)
 Replaces: update-manager (<< 1:0.146.2)
 Breaks: update-manager (<< 1:0.146.2),

## update-manager 22.04.8

=== debian/changelog ===
update-manager (1:22.04.8) jammy; urgency=medium

  * Support GNOME 42 dark theme preference
  * Depend on gir1.2-handy-1

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Thu, 17 Feb 2022 08:35:42 -0500

update-manager (1:22.04.7) jammy; urgency=medium

  * tests/test_meta_release_core.py: use a try except so EnvironmentVarGuard
    can be imported with python3.9 or python3.10.

 -- Brian Murray <brian@ubuntu.com>  Wed, 26 Jan 2022 15:05:34 -0800

update-manager (1:22.04.6) jammy; urgency=medium

  * ubuntu-security-status: further improvements to pluralization and phrasing
    of "could receive" and "is / are receiving". Thanks to Renan Rodrigo for
    the changes.

 -- Brian Murray <brian@ubuntu.com>  Tue, 18 Jan 2022 08:17:49 -0800

update-manager (1:22.04.5) jammy; urgency=medium

  * ubuntu-security-status: Check if ESM for Apps is enabled or if it is not
    in beta before displaying information about the packages available from
    there. (LP: #1955471)

 -- Brian Murray <brian@ubuntu.com>  Fri, 14 Jan 2022 10:18:30 -0800

update-manager (1:22.04.4) jammy; urgency=medium

  * test/test_meta_release_core.py: If getting the next LTS release fails
    checking the meta release file for the release in development.

 -- Brian Murray <brian@ubuntu.com>  Thu, 06 Jan 2022 11:37:11 -0800

update-manager (1:22.04.3) jammy; urgency=medium

  * If --debug is used on the command line pass it along to the metarelease
    checker. (LP: #1880996)

 -- Brian Murray <brian@ubuntu.com>  Fri, 10 Dec 2021 12:29:43 -0800

update-manager (1:22.04.2) jammy; urgency=medium

  * UpdateManager/backend/__init__.py: define the cache before trying to use
    it.

 -- Brian Murray <brian@ubuntu.com>  Tue, 19 Oct 2021 07:25:02 -0700

update-manager (1:22.04.1) jammy; urgency=medium

  * UpdateManager/backend/__init__.py: When checking for snap seeds also
    take into consideration whether or not the metapackage associated with the
    snap is installed. (LP: #1947501)

 -- Brian Murray <brian@ubuntu.com>  Mon, 18 Oct 2021 12:26:38 -0700

## update-manager 22.04.9

=== debian/changelog ===
update-manager (1:22.04.9) jammy; urgency=medium

  * Adjust dates in hwe-support-status for jammy.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 11 Apr 2022 09:56:45 +0200

=== debian/control ===
--- 
+++ 
@@ -68,6 +68,7 @@
          python3-gi (>= 3.8),
          python3-yaml,
          gir1.2-gtk-3.0,
+         gir1.2-handy-1 (>= 1.5.90),
          gir1.2-snapd-1,
          ubuntu-release-upgrader-gtk,
          update-notifier,

=== debian/tests/control ===
Tests: nose-tests
Depends: @, apt, aptdaemon, pycodestyle, pyflakes3, python3-mock, python3-nose, xvfb

## update-manager 22.04.10

=== debian/changelog ===
update-manager (1:22.04.10) jammy; urgency=medium

  [ Renan Rodrigo ]
  * ubuntu-security-status: Don't show ESM Apps information when the service
    is disabled, and prefer 'pro security-status' when it is available.
    (LP: #1991533)

 -- Brian Murray <brian@ubuntu.com>  Thu, 01 Dec 2022 10:43:15 -0800

## update-manager 22.04.10+11.0trisquel19

=== debian/changelog ===
update-manager (1:22.04.10+11.0trisquel19) aramo; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 02 May 2023 03:49:04 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: update-manager
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Build-Depends: debhelper (>= 9),
                dh-python,
                python3-all (>= 3.3.0-2),
@@ -31,7 +31,6 @@
          distro-info-data,
          lsb-release,
          ubuntu-release-upgrader-core (>= 1:18.04.9),
-         ubuntu-advantage-tools
 Recommends: libpam-modules (>= 1.0.1-9ubuntu3)
 Replaces: update-manager (<< 1:0.146.2)
 Breaks: update-manager (<< 1:0.146.2),

## update-manager 22.04.13

=== debian/changelog ===
update-manager (1:22.04.13) jammy; urgency=medium

  * Fix Ubuntu Pro updates checkbox and expander widget from overlapping (LP: #1990450)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 03 Feb 2023 14:28:04 +1300

update-manager (1:22.04.12) jammy; urgency=medium

  * Update of the parsing for pro client changes (lp: #1990450)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 26 Jan 2023 11:57:37 +0100

update-manager (1:22.04.11) jammy; urgency=medium

  * Show pending Ubuntu pro packages (LP: #1990450)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 18 Jan 2023 11:05:40 +1300

## update-manager 22.04.18

=== debian/changelog ===
update-manager (1:22.04.18) jammy; urgency=medium

  * Add back removed widgets to UI file to fix crash when updating
    Upgrade Manager from inside itself (LP: #2045918).

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Fri, 08 Dec 2023 11:23:26 +0100

update-manager (1:22.04.17) jammy; urgency=medium

  * Fix incorrect available version for Ubuntu Pro updates in unattached case
    (LP: #2043425).

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Thu, 16 Nov 2023 10:07:06 +0100

update-manager (1:22.04.16) jammy; urgency=medium

  * Ubuntu Pro (LP: #1990450):
    - fix another linter error which was created while fixing a missing
      space in the previous upload...

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 06 Oct 2023 12:03:29 +0200

update-manager (1:22.04.15) jammy; urgency=medium

  * Ubuntu Pro (LP: #1990450):
    - Address linter errors that cause autopkgtest to fail.

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Wed, 04 Oct 2023 15:29:45 +0200

update-manager (1:22.04.14) jammy; urgency=medium

  * Ubuntu Pro (LP: #1990450):
    - Show Ubuntu Pro packages, whether the system is attached to Ubuntu Pro
      or not.
    - Replace Install now button by Enable Ubuntu Pro button when only Ubuntu
      Pro packages are available and the machine is not attached.
    - Fix checkbox and expander widget from overlapping.
    - Add News pane in a expander.
    - Replace notebook with Description and Changes tabs by a pane.

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Tue, 29 Aug 2023 07:47:20 +0200

## update-manager 22.04.20

=== debian/changelog ===
update-manager (1:22.04.20) jammy; urgency=medium

  * Replace Popen to 'ua security-status --format=json' by the Ubuntu Pro API.
    The former is not stable enough and would break the program once in a
    while when something unrelated to Update Manager (Livepatch, for instance)
    went awry. The updates() end point from the API, on the other hand,
    does not raise exceptions. LP: #2058133.

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Fri, 22 Mar 2024 08:24:04 +0100

update-manager (1:22.04.19) jammy; urgency=medium

  * d/control: Depend on ubuntu-advantage-tools >= 30~.
    Fixes edge case whereby the program crashes upon an incomplete
    response from ua security-status (LP: #2049785).
  * The New Release dialog should take precedence over a list of updates dialog
    if the latter would only show Ubuntu Pro updates in an unattached system.
    (LP: #2051115).

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Fri, 26 Jan 2024 15:10:31 +0100

## update-manager 22.04.21

=== debian/changelog ===
update-manager (1:22.04.21) jammy; urgency=medium

  * Don't crash if the end-points of the Pro API fail (LP: #2064211).

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Wed, 26 Jun 2024 11:01:35 +0200

## update-manager 22.04.22

=== debian/changelog ===
update-manager (1:22.04.22) jammy; urgency=medium

  * Print warning message on failing to run updates end-point (LP: #2064211).
  * When all packages are unselected, install button goes away; Fix it not
    coming back after once a package is selected again (LP: #2068805).
  * Switch to Debian source 3.0 (native)

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Thu, 11 Jul 2024 11:48:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: update-manager
 Section: gnome
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends: debhelper (>= 9),
                dh-python,
                python3-all (>= 3.3.0-2),
@@ -31,6 +31,7 @@
          distro-info-data,
          lsb-release,
          ubuntu-release-upgrader-core (>= 1:18.04.9),
+         ubuntu-advantage-tools (>= 30~)
 Recommends: libpam-modules (>= 1.0.1-9ubuntu3)
 Replaces: update-manager (<< 1:0.146.2)
 Breaks: update-manager (<< 1:0.146.2),

## update-manager 22.04.22+11.0trisquel23

=== debian/changelog ===
update-manager (1:22.04.22+11.0trisquel23) aramo; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 12 Jun 2025 08:49:27 +0000

## update-manager 22.10.4

=== debian/changelog ===
update-manager (1:22.10.4) kinetic; urgency=medium

  * Fix autopkgtest regressions.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 16 Oct 2022 23:26:08 -0700

update-manager (1:22.10.3) kinetic; urgency=medium

  [ Renan Rodrigo ]
  * ubuntu-security-status: Don't show ESM Apps information when the service
    is disabled, and prefer 'pro security-status' when it is available.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 03 Oct 2022 08:37:28 -0700

update-manager (1:22.10.2) kinetic; urgency=medium

  * Show pending Ubuntu pro packages

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 01 Jul 2022 16:15:05 +1200

update-manager (1:22.10.1) kinetic; urgency=medium

  * Build with snapd-glib 1.61

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 25 Aug 2022 21:51:55 -0400

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-gi (>= 3.8),
                python3-yaml,
                gir1.2-gtk-3.0,
-               gir1.2-snapd-1,
+               gir1.2-snapd-2,
                lsb-release
 Build-Depends-Indep: libxml-parser-perl,
                      intltool
@@ -31,7 +31,7 @@
          distro-info-data,
          lsb-release,
          ubuntu-release-upgrader-core (>= 1:18.04.9),
-         ubuntu-advantage-tools (>= 30~)
+         ubuntu-advantage-tools
 Recommends: libpam-modules (>= 1.0.1-9ubuntu3)
 Replaces: update-manager (<< 1:0.146.2)
 Breaks: update-manager (<< 1:0.146.2),
@@ -69,7 +69,7 @@
          python3-yaml,
          gir1.2-gtk-3.0,
          gir1.2-handy-1 (>= 1.5.90),
-         gir1.2-snapd-1,
+         gir1.2-snapd-2,
          ubuntu-release-upgrader-gtk,
          update-notifier,
          gnome-shell | policykit-1-gnome | polkit-kde-agent-1 | lxpolkit | lxqt-policykit | mate-polkit | polkit-1-auth-agent

## update-manager 23.04.2

=== debian/changelog ===
update-manager (1:23.04.2) lunar; urgency=medium

  [ Benjamin Drung ]
  * Update Vcs-* links to git
  * Run nosetests in verbose mode

  [ Grant Orndorff ]
  * Tolerate errors from uaclient updates function (LP: #2015113, #2015286)
  * Fix package name field for uaclient updates

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 13 Apr 2023 19:25:57 +0200

update-manager (1:23.04.1) lunar; urgency=medium

  * Make Python version PEP440 compliant (LP: #1991606)
  * Switch to Debian source 3.0 (native)
  * Replace transitional policykit-1 by polkitd and pkexec
  * Fix pycodestyle complains by formatting Python code with black
  * Drop imports only needed for Python 2
  * Replace lsb_release call with reading /etc/os-release directly

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 13 Feb 2023 14:17:03 +0100

update-manager (1:22.10.7) lunar; urgency=medium

  * Use uaclient library instead of ua tool for Ubuntu Pro information.
  * Fix Ubuntu Pro updates checkbox and expander widget from overlapping.

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 02 Feb 2023 16:07:52 +1300

update-manager (1:22.10.6) lunar; urgency=medium

  * Update of the parsing for pro client changes (lp: #1990450)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 26 Jan 2023 11:50:03 +0100

update-manager (1:22.10.5) lunar; urgency=medium

  * Update the Livepatch integration for the Ubuntu Pro changes

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 13 Jan 2023 12:05:07 +0100

## update-manager 23.10.1

=== debian/changelog ===
update-manager (1:23.10.1) mantic; urgency=medium

  * When displaying updates also include the quantity of updates in each
    group. Thanks to Robert Ancell for the patch.

 -- Brian Murray <brian@ubuntu.com>  Fri, 09 Jun 2023 12:17:35 -0700

=== debian/control ===
Source: update-manager
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               gir1.2-gtk-3.0,
               gir1.2-snapd-2,
               python3-all (>= 3.3.0-2),
               python3-dbus,
               python3-distro-info,
               python3-distupgrade,
               python3-distutils-extra (>= 2.38),
               python3-gi (>= 3.8),
               python3-yaml,
Build-Depends-Indep: intltool,
                     libxml-parser-perl,
Standards-Version: 3.8.0
Vcs-Browser: https://code.launchpad.net/update-manager
Vcs-Git: https://git.launchpad.net/update-manager
XS-Testsuite: autopkgtest

Package: update-manager-core
Architecture: all
Section: admin
Depends: distro-info-data,
         python3-distro-info,
         python3-update-manager (= ${source:Version}),
         ubuntu-advantage-tools,
         ubuntu-release-upgrader-core (>= 1:18.04.9),
         ${misc:Depends},
         ${python3:Depends},
Recommends: libpam-modules (>= 1.0.1-9ubuntu3),
Replaces: update-manager (<< 1:0.146.2),
Breaks: computer-janitor (<= 1.11-0ubuntu1),
        update-manager (<< 1:0.146.2),
Description: manage release upgrades
 This is the core of update-manager and the release upgrader

Package: python3-update-manager
Architecture: all
Section: python
Replaces: update-manager-core (<< 1:0.163),
Breaks: python3-distupgrade (<< 1:16.10.10),
        update-manager-core (<< 1:0.163),
Depends: python3-apt (>= 0.8.5~),
         python3-distro-info,
         python3-distupgrade,
         ${misc:Depends},
         ${python3:Depends},
Suggests: python3-launchpadlib,
Description: Python 3.x module for update-manager
 Python module for update-manager (UpdateManager).
 .
 This package contains the Python 3.x version of this module.

Package: update-manager
Architecture: all
Depends: gir1.2-gtk-3.0,
         gir1.2-handy-1 (>= 1.5.90),
         gir1.2-snapd-2,
         gnome-shell | policykit-1-gnome | polkit-kde-agent-1 | lxpolkit | lxqt-policykit | mate-polkit | polkit-1-auth-agent,
         libgtk3-perl,
         pkexec,
         polkitd,
         python3-aptdaemon.gtk3widgets (>= 1.1.1+bzr982-0ubuntu13) | synaptic,
         python3-dbus,
         python3-gi (>= 3.8),
         python3-yaml,
         ubuntu-release-upgrader-gtk,
         update-manager-core (= ${source:Version}),
         update-notifier,
         ${misc:Depends},
         ${python3:Depends},
Breaks: update-notifier (<< 3.177),
Recommends: python3-launchpadlib,
            software-properties-gtk (>= 0.71.2),
Suggests: gir1.2-dbusmenu-glib-0.4,
          gir1.2-unity-5.0,
Description: GNOME application that manages apt updates
 This is the GNOME apt update manager. It checks for updates and lets the user
 choose which to install.

#Package: update-manager-kde
#Architecture: all
#Section: kde
#Depends: kdesudo,
#         psmisc,
#         python3-pykde4,
#         ubuntu-release-upgrader-qt,
#         update-manager-core,
#         ${misc:Depends},
#         ${python3:Depends},
#Recommends: python3-launchpadlib,
#Description: Support modules for Muon Notifier and Apper
# Support modules for Muon Notifier and Apper to check for new distro releases
# and download the dist-upgrade tool.

## update-manager 24.04.3

=== debian/changelog ===
update-manager (1:24.04.3) noble; urgency=medium

  * Add back removed widgets to UI file to fix crash when updating
    Upgrade Manager from inside itself (LP: #2045918).

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Fri, 08 Dec 2023 11:25:51 +0100

update-manager (1:24.04.2) noble; urgency=medium

  * Fix linter warning that causes autopkgtest to fail.
  * Drop call to ua security-status --format=json. 
    Use uaclient.api.u.pro.packages.updates.v1.updates instead.

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Wed, 22 Nov 2023 08:32:20 +0100

update-manager (1:24.04.1) noble; urgency=medium

  * Fix incorrect available version for Ubuntu Pro updates in unattached case
    (LP: #2043425).

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Wed, 15 Nov 2023 11:45:02 +0100

update-manager (1:23.10.2) mantic; urgency=medium

  * Ubuntu Pro (LP: #1990450):
    - Show Ubuntu Pro packages, whether the system is attached to Ubuntu Pro
      or not.
    - Replace Install now button by Enable Ubuntu Pro button when only Ubuntu
      Pro packages are available and the machine is not attached.
    - Fix checkbox and expander widget from overlapping.
    - Add News pane in a expander.
    - Replace notebook with Description and Changes tabs by a pane.

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Mon, 25 Sep 2023 17:03:10 +0200

## update-manager 24.04.6

=== debian/changelog ===
update-manager (1:24.04.6) noble; urgency=medium

  * Adjust dates in hwe-support-status for noble.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 16 Apr 2024 12:54:37 +0200

update-manager (1:24.04.5) noble; urgency=medium

  * Require Gdk3, as at least one function is used that is not in Gdk4
    (LP: #2054197).
  * Run linting tests during build time as well.

  [ Calvin Mwadime ]
  * d/control: Depend on ubuntu-pro-client instead of ubuntu-advantage-tools.
    (LP: #2057559)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 16 Apr 2024 11:38:56 +0200

update-manager (1:24.04.4) noble; urgency=low

  * d/control: Depend on ubuntu-advantage-tools >= 30~.
    Fixes edge case whereby the program crashes upon an incomplete
    response from ua security-status (LP: #2049785).
  * The New Release dialog should take precedence over a list of updates dialog
    if the latter would only show Ubuntu Pro updates in an unattached system.
    (LP: #2051115).

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Mon, 22 Jan 2024 08:17:25 +0100

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,13 @@
                dh-python,
                gir1.2-gtk-3.0,
                gir1.2-snapd-2,
+               pycodestyle,
                python3-all (>= 3.3.0-2),
                python3-dbus,
                python3-distro-info,
                python3-distupgrade,
                python3-distutils-extra (>= 2.38),
+               pyflakes3,
                python3-gi (>= 3.8),
                python3-yaml,
 Build-Depends-Indep: intltool,
@@ -26,7 +28,7 @@
 Depends: distro-info-data,
          python3-distro-info,
          python3-update-manager (= ${source:Version}),
-         ubuntu-advantage-tools,
+         ubuntu-pro-client,
          ubuntu-release-upgrader-core (>= 1:18.04.9),
          ${misc:Depends},
          ${python3:Depends},

## update-manager 24.04.9

=== debian/changelog ===
update-manager (1:24.04.9) noble; urgency=high

  * Fix crash when packages get un-selected (LP: #2041831).

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Thu, 26 Sep 2024 16:35:37 +0200

update-manager (1:24.04.8) noble; urgency=medium

  * Display changelogs also for PPA packages on ppa.launchpadcontent.net
    (lp: #2068809)

  [ Nathan Pratta Teodosio ]
  * Don't crash if the end-points of the Pro API fail (LP: #2064211).

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 08 Jul 2024 14:00:19 +0200

## update-manager 24.04.10

=== debian/changelog ===
update-manager (1:24.04.10) noble; urgency=medium

  * When all packages are unselected, install button goes away; Fix it not
    coming back after once a package is selected again (LP: #2068805).
  * Screen reader: announce status header for update dialogue and checkbox
    state when the highlighted package changes or is toggled.
    (lp: #1105371)

 -- Nathan Pratta Teodosio <nteodosio@ubuntu.com>  Thu, 20 Mar 2025 11:43:31 +0100

## update-manager 24.04.12

=== debian/changelog ===
update-manager (1:24.04.12) noble; urgency=medium

  * test_update_origin.py: Update to noble, and packaged archive keys
    (LP: #2109339)
  * test_update_origin: close the dpkg status file when tearing down
    (also tracked in LP: #2109339)

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 25 Apr 2025 15:16:13 +0200

update-manager (1:24.04.11) noble; urgency=medium

  * Screen reader: announce status header for update dialogue (LP: #1105371).
    Although that was claimed to be fixed in the prevoius version, the part
    of the patch corresponding to it was actually left behind.

 -- Nathan Pratta Teodosio <nteodosio@ubuntu.com>  Mon, 31 Mar 2025 10:06:38 +0200

=== debian/tests/control ===
Tests: nose-tests
Depends: apt,
         aptdaemon,
         pycodestyle,
         pyflakes3,
         python3-mock,
         python3-nose,
         xvfb,
         @,

## update-manager 24.04.12trisquel24

=== debian/changelog ===
update-manager (1:24.04.12trisquel24) ecne; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 01 Jun 2025 06:01:13 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: update-manager
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Build-Depends: debhelper (>= 9),
                dh-python,
                gir1.2-gtk-3.0,
@@ -28,7 +28,6 @@
 Depends: distro-info-data,
          python3-distro-info,
          python3-update-manager (= ${source:Version}),
-         ubuntu-pro-client,
          ubuntu-release-upgrader-core (>= 1:18.04.9),
          ${misc:Depends},
          ${python3:Depends},
